Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class DefaultDocumentMetadata

    java.lang.Object
      |
      +--com.bea.p13n.content.document.ref.DefaultDocumentMetadata

Direct Known Subclasses:
  RefDocumentMetadata

public class DefaultDocumentMetadata
extends java.lang.Object
implements DocumentMetadataDef

A concreate implementation of DocumentMetadata.

Field Summary
`protected java.util.Map` | `attributes` The map of attribute name to attribute value.
`protected java.lang.String` | `author` The document author.
`protected java.lang.String` | `comments` The document comments.
`protected java.sql.Timestamp` | `creationDate` The document creation date.
`protected java.lang.String` | `description` The document description.
`protected java.lang.String` | `id` The document id.
`protected java.lang.String` | `lastModifiedBy` The document last modified by.
`protected java.sql.Timestamp` | `lastModifiedDate` The document last modified date.
`protected java.lang.String` | `lockedBy` The document locked by.
`protected java.lang.String` | `mimeType` The document mime type.
`protected java.lang.String` | `name` The document name.
`protected long` | `size` The document size.
`protected int` | `version` The document version.

Constructor Summary
`DefaultDocumentMetadata()` Constructor.
`DefaultDocumentMetadata(java.lang.String id)` Constructor.
`DefaultDocumentMetadata(java.lang.String id, java.lang.String name)` Constructor.
`DefaultDocumentMetadata(java.lang.String id, java.lang.String name, java.lang.String mimeType)` Constructor.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Get the named attribute.
`java.util.Collection` | `getAttributeNames()` Return the collection of the attribute names.
`java.util.Map` | `getAttributes()` Get the map of attribute names to attribute values.
`java.lang.String` | `getAuthor()` Get the document author.
`java.lang.String` | `getComments()` Get the document comments.
`java.sql.Timestamp` | `getCreationDate()` Get the document creation date.
`java.lang.String` | `getDescription()` Get the document description.
`java.lang.String` | `getID()` Get the document id.
`java.lang.String` | `getLastModifiedBy()` Get the document last modified by.
`java.sql.Timestamp` | `getLastModifiedDate()` Get the last modified date.
`java.lang.String` | `getLockedBy()` Get the document locked by.
`java.lang.String` | `getMimeType()` Get the mime type.
`java.lang.String` | `getName()` Get the document name.
`long` | `getSize()` Get the document size.
`int` | `getVersion()` Get the document version.
`void` | `setAuthor(java.lang.String author)` Set the document author.
`void` | `setComments(java.lang.String comments)` Set the document comments.
`void` | `setCreationDate(java.sql.Timestamp date)` Set the document creation date.
`void` | `setDescription(java.lang.String description)` Set the document description.
`void` | `setID(java.lang.String id)` Set the document id.
`void` | `setLastModifiedBy(java.lang.String lastModifiedBy)` Set the document last modified by.
`void` | `setLastModifiedDate(java.sql.Timestamp date)` Set the last modified date.
`void` | `setLockedBy(java.lang.String lockedBy)` Set the document locked by.
`void` | `setMimeType(java.lang.String mimeType)` Set the mime type.
`void` | `setName(java.lang.String name)` Set the document name.
`void` | `setSize(long size)` Set the document size.
`void` | `setVersion(int version)` Set the document version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

  The document id.

### name

    protected java.lang.String name

  The document name.

### version

    protected int version

  The document version.

### lockedBy

    protected java.lang.String lockedBy

  The document locked by.

### size

    protected long size

  The document size.

### author

    protected java.lang.String author

  The document author.

### creationDate

    protected java.sql.Timestamp creationDate

  The document creation date.

### lastModifiedBy

    protected java.lang.String lastModifiedBy

  The document last modified by.

### lastModifiedDate

    protected java.sql.Timestamp lastModifiedDate

  The document last modified date.

### description

    protected java.lang.String description

  The document description.

### comments

    protected java.lang.String comments

  The document comments.

### mimeType

    protected java.lang.String mimeType

  The document mime type.

### attributes

    protected java.util.Map attributes

  The map of attribute name to attribute value.

Constructor Detail

### DefaultDocumentMetadata

    public DefaultDocumentMetadata(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String mimeType)

  Constructor.

### DefaultDocumentMetadata

    public DefaultDocumentMetadata(java.lang.String id,
                                   java.lang.String name)

  Constructor.

### DefaultDocumentMetadata

    public DefaultDocumentMetadata(java.lang.String id)

  Constructor.

### DefaultDocumentMetadata

    public DefaultDocumentMetadata()

  Constructor.

Method Detail

### getAttributes

    public java.util.Map getAttributes()

  Get the map of attribute names to attribute values.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Get the named attribute.
  Specified by:
    getAttribute in interface DocumentMetadataDef

### getAttributeNames

    public java.util.Collection getAttributeNames()

  Return the collection of the attribute names.
  Specified by:
    getAttributeNames in interface DocumentMetadataDef

### getID

    public java.lang.String getID()

  Get the document id.
  Specified by:
    getID in interface DocumentMetadataDef

### setID

    public void setID(java.lang.String id)

  Set the document id.

### getName

    public java.lang.String getName()

  Get the document name.
  Specified by:
    getName in interface DocumentMetadataDef

### setName

    public void setName(java.lang.String name)

  Set the document name.

### getVersion

    public int getVersion()

  Get the document version.
  Specified by:
    getVersion in interface DocumentMetadataDef

### setVersion

    public void setVersion(int version)

  Set the document version.

### getLockedBy

    public java.lang.String getLockedBy()

  Get the document locked by.
  Specified by:
    getLockedBy in interface DocumentMetadataDef

### setLockedBy

    public void setLockedBy(java.lang.String lockedBy)

  Set the document locked by.

### getSize

    public long getSize()

  Get the document size.
  Specified by:
    getSize in interface DocumentMetadataDef

### setSize

    public void setSize(long size)

  Set the document size.

### getAuthor

    public java.lang.String getAuthor()

  Get the document author.
  Specified by:
    getAuthor in interface DocumentMetadataDef

### setAuthor

    public void setAuthor(java.lang.String author)

  Set the document author.

### getCreationDate

    public java.sql.Timestamp getCreationDate()

  Get the document creation date.
  Specified by:
    getCreationDate in interface DocumentMetadataDef

### setCreationDate

    public void setCreationDate(java.sql.Timestamp date)

  Set the document creation date.

### getLastModifiedBy

    public java.lang.String getLastModifiedBy()

  Get the document last modified by.
  Specified by:
    getLastModifiedBy in interface DocumentMetadataDef

### setLastModifiedBy

    public void setLastModifiedBy(java.lang.String lastModifiedBy)

  Set the document last modified by.

### getLastModifiedDate

    public java.sql.Timestamp getLastModifiedDate()

  Get the last modified date.
  Specified by:
    getLastModifiedDate in interface DocumentMetadataDef

### setLastModifiedDate

    public void setLastModifiedDate(java.sql.Timestamp date)

  Set the last modified date.

### getDescription

    public java.lang.String getDescription()

  Get the document description.
  Specified by:
    getDescription in interface DocumentMetadataDef

### setDescription

    public void setDescription(java.lang.String description)

  Set the document description.

### getComments

    public java.lang.String getComments()

  Get the document comments.
  Specified by:
    getComments in interface DocumentMetadataDef

### setComments

    public void setComments(java.lang.String comments)

  Set the document comments.

### getMimeType

    public java.lang.String getMimeType()

  Get the mime type.
  Specified by:
    getMimeType in interface DocumentMetadataDef

### setMimeType

    public void setMimeType(java.lang.String mimeType)

  Set the mime type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved